Table of Contents

## Name

im_shiftleft, im_shiftright - bit shift operations

## Synopsis

#include <vips/vips.h>

int im_shiftleft( in, out, n )
IMAGE *in, *out;
int n;

int im_shiftright( in, out, n )
IMAGE *in, *out;
int n;

## Description

Shift integer images n bits left or right. Shifts on signed images are sign-preserving.

## Return Value

All functions return 0 on success and -1 on error.

## See Also

im_ifthenelse(3) , im_equal(3) , im_andimage(3) .

## Copyright

National Gallery, 1992

## Author

J. Cupitt

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author